Package com.xebialabs.xlrelease.domain.analytics

## Class ProjectedItem

- java.lang.Object
- - com.xebialabs.xlrelease.domain.analytics.ProjectedItem

- Direct Known Subclasses:
    `ProjectedPhase`, `ProjectedRelease`, `ProjectedTask`

      public abstract class ProjectedItem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.Date` | `endDate` |
    `java.lang.String` | `endDateString` |
    `java.lang.String` | `id` |
    `java.util.Date` | `startDate` |
    `java.lang.String` | `startDateString` |
    `java.lang.String` | `status` |
    `java.lang.String` | `title` |
    `java.lang.String` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectedItem()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getEndDate()` |
    `java.lang.String` | `getEndDateString()` |
    `java.lang.String` | `getId()` |
    `java.util.Date` | `getStartDate()` |
    `java.lang.String` | `getStartDateString()` |
    `java.lang.String` | `getStatus()` |
    `java.lang.String` | `getTitle()` |
    `java.lang.String` | `getType()` |
    `void` | `setEndDate​(java.util.Date endDate)` |
    `void` | `setEndDateString​(java.lang.String endDateString)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setStartDate​(java.util.Date startDate)` |
    `void` | `setStartDateString​(java.lang.String startDateString)` |
    `void` | `setStatus​(java.lang.String status)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setType​(java.lang.String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public java.lang.String id

    - #### startDate

          public java.util.Date startDate

    - #### startDateString

          public java.lang.String startDateString

    - #### endDate

          public java.util.Date endDate

    - #### endDateString

          public java.lang.String endDateString

    - #### status

          public java.lang.String status

    - #### type

          public java.lang.String type

    - #### title

          public java.lang.String title

  - ### Constructor Detail

    - #### ProjectedItem

          public ProjectedItem()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate​(java.util.Date startDate)

    - #### getStartDateString

          public java.lang.String getStartDateString()

    - #### setStartDateString

          public void setStartDateString​(java.lang.String startDateString)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate​(java.util.Date endDate)

    - #### getEndDateString

          public java.lang.String getEndDateString()

    - #### setEndDateString

          public void setEndDateString​(java.lang.String endDateString)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus​(java.lang.String status)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType​(java.lang.String type)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)